Name:		apache-commons-configuration
Version:	1.10
Release:	13
Summary:	Commons Configuration Package
License:	ASL 2.0
URL:		https://commons.apache.org/configuration
Source0:	https://archive.apache.org/dist/commons/configuration/source/commons-configuration-%{version}-src.tar.gz

BuildArch:      noarch
BuildRequires:	maven-local apache-commons-beanutils apache-commons-codec glassfish-servlet-api
BuildRequires:	apache-commons-collections apache-commons-digester apache-commons-jxpath log4j12
BuildRequires:	apache-commons-lang apache-commons-logging apache-commons-jexl xml-commons-apis
BuildRequires:	xml-commons-resolver javacc-maven-plugin apache-commons-vfs apache-commons-parent 

%description
The Commons Configuration software library provides a generic configuration 
interface which enables a Java application to read configuration data from 
a variety of sources. 

%prep
%autosetup -n commons-configuration-%{version}-src -p1

sed -i 's/\r//' LICENSE.txt NOTICE.txt
%pom_change_dep :log4j ::1.2.17

%build
%mvn_file   : commons-configuration apache-commons-configuration
%mvn_alias  : org.apache.commons:commons-configuration
%mvn_build -f -j

%install
%mvn_install

%files
%defattr(-,root,root)
%doc NOTICE.txt
%license LICENSE.txt
%{_datadir}/java/*
%{_datadir}/maven-poms/*
%{_datadir}/maven-metadata/*

%changelog
* Mon Dec 9 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.10-13
- Package init
